/***********************************************************************/
/*                                                                     */
/*  FILE        :intprg.c                                              */
/*  DATE        :Thu, May 12, 2011                                     */
/*  DESCRIPTION :define the top address of the interrupt vectors.      */
/*  CPU GROUP   :M11a                                                  */
/*                                                                     */
/***********************************************************************/

/***************************************************************************
* COMPILER for M16C/60,R8C/Tiny
* Copyright (C) 2004 (2010) Renesas Electronics Corporation.
* and Renesas Solutions Corporation. All rights reserved.
* intprg.c : define variable vector table
*            for R8C/M11a
*
*
* $Date: 2007/10/26 09:47:32 $
* $Revision: 1.1.2.1 $
**************************************************************************/
#include "sfr_r8m11a.h"
#include "cstartdef.h"
#include "typedefine.h"
// When you want to use BANK1 registers
// please define interrupt using /B swtich as follows.
//
//  #pragma interrupt/B xxxx
//

// BRK				(software int 0)
#pragma interrupt	_brk(vect=0)
void _brk(void);
void _brk(void){}

// vector 1 reserved
// vector 2 reserved
// vector 3 reserved
// comparator A
#pragma interrupt	_comp_a(vect=4)
void _comp_a(void);
void _comp_a(void){}

// comparator B
#pragma interrupt	_comp_b(vect=5)
void _comp_b(void);
void _comp_b(void){}


// vector 6 reserved

// timer RC			(software int 7)
#pragma interrupt	_timer_rc(vect=7)
void _timer_rc(void);
void _timer_rc(void){}

// vector 8 reserved
// vector 9 reserved
// vector 10 reserved
// vector 11 reserved
// vector 12 reserved

// input_key			(software int 13)
#pragma interrupt	_input_key(vect=13)
void _input_key(void);
void _input_key(void){}

// ad convert			(software int 14)
#pragma interrupt	_ad_convert(vect=14)
void _ad_convert(void);
void _ad_convert(void){}

// vector 15 reserved
// vector 16 reserved

#if __STANDARD_IO__ == 0
// uart0 trance			(software int 17)
#pragma interrupt	_uart0_trance(vect=17)
void _uart0_trance(void);
void _uart0_trance(void){}
#else
#if (defined(__FOUSB__) || defined(__E8__))
// uart0 can't be used
#else
// uart0 trance			(software int 17)
#pragma interrupt	_uart0_trance(vect=17)
void _uart0_trance(void);
void _uart0_trance(void){}
#endif
#endif

// uart0 receive		(software int 18)
#pragma interrupt	_uart0_receive(vect=18)
void _uart0_receive(void);
void _uart0_receive(void){}

// vector 19 reserved
// vector 20 reserved
// int2				(software int 21)
#pragma interrupt	_int2(vect=21)
void _int2(void);
void _int2(void){}

// timer RJ2			(software int 22)
#pragma interrupt	_timer_rj2(vect=22)
void _timer_rj2(void);
void _timer_rj2(void){}

// ^C}[			(software int 23)
#pragma interrupt	_timer_cyc(vect=23)
void _timer_cyc(void);
void _timer_cyc(void){}


// timer RB2		(software int 24)
#pragma interrupt	_timer_rb2(vect=24)
void _timer_rb2(void);
void _timer_rb2(void)
{
	_UBYTE dmy;
	dmy = trbif_trbir;
	trbif_trbir = 0;
	
	//fobOł̓`FbN̂p3_7|[g𔽓]Ă܂
	//p3_7=~p3_7;
}

// int1				(software int 25)
#pragma interrupt	_int1(vect=25)
void _int1(void);
void _int1(void){}

// int3				(software int 26)
#pragma interrupt	_int3(vect=26)
void _int3(void);
void _int3(void){}

// vector 27 reserved
// vector 28 reserved

// int0				(software int 29)
#pragma interrupt	_int0(vect=29)
void _int0(void);
void _int0(void){}

// vector 30 reserved
// vector 31 reserved

// vector 32 for user
// vector 33 for user
// vector 34 for user
// vector 35 for user
// vector 36 for user
// vector 37 for user
// vector 38 for user
// vector 39 for user
// vector 40 for user
// vector 41 for user
// vector 42 for user
// vector 43 for user
// vector 44 for user
// vector 45 for user
// vector 46  for user
// vector 47  for user
// vector 48  for user
// vector 49  for user
// vector 50  for user
// vector 51  for user
// vector 52  for user
// vector 53  for user
// vector 54  for user
// vector 55  for user
// vector 56  for user
// vector 57  for user
// vector 58  for user
// vector 59  for user
// vector 60  for user
// vector 61  for user
// vector 62  for user
// vector 63  for user

