/***********************************************************************/
/*                                                                     */
/*  FILE        :resetprg.c                                            */
/*  DATE        :Thu, May 12, 2011                                     */
/*  DESCRIPTION :initialize for C language.                            */
/*  CPU GROUP   :M11a                                                  */
/*                                                                     */
/***********************************************************************/

/*******************************************************************
* COMPILER for R8C/Tiny
* Copyright (C) 2004 (2010) Renesas Electronics Corporation.
* and Renesas Solutions Corporation. All rights reserved.
*
* resetprg.c : startup file 
*
* Function:initialize each function
*
* $Date: 2007/10/26 09:47:32 $
* $Revision: 1.1.2.1 $
*******************************************************************/
#include "sfr_r8m11a.h"
#include "typedefine.h"
#include "resetprg.h"

DEF_SBREGISTER;
extern _UINT	_stack_top,_istack_top;
#pragma entry start
void start(void);
extern void initsct(void);
extern void _init(void);
void exit(void);
void main(void);

#pragma section program interrupt 

void start(void)
{
	_isp_	= &_istack_top; 	// set interrupt stack pointer
	prcr	= 0x02U;		// change protect mode register
	pm0	= 0x00U;		// set processor mode register
	prcr	= 0x00U;		// change protect mode register
	_flg_	= __F_value__;	// set flag register
#if __STACKSIZE__!=0
	_sp_	= &_stack_top; 	// set user stack pointer
#endif
	_sb_	= 0x400U;	// 400H fixation (Do not change)
	_intbh_ = 0x00U; 	// set variable vector's address
	_asm("	ldc	#(topof vector)&0FFFFh,INTBL");

	initsct();		// initlalize each sections

#if __HEAPSIZE__ != 0
	heap_init();		// initialize heap 
#endif
#if __STANDARD_IO__ != 0
	_init();			// initialize standard I/O
#endif
	_fb_ = 0U;		// initialize FB registe for debugger
	main();			// call main routine

	exit();		// call exit
}

void exit(void)
{
	while(1)
	{
		;		//infinite loop
	}
}


